Package net.shibboleth.idp.authn.proxy.impl

# Class InitializeProxyProfileRequestContext.DefaultPRCCreationStrategy

java.lang.Object
net.shibboleth.idp.authn.proxy.impl.InitializeProxyProfileRequestContext.DefaultPRCCreationStrategy

All Implemented Interfaces:
  `Function<ProfileRequestContext,ProfileRequestContext>`

Enclosing class:
  InitializeProxyProfileRequestContext

private class InitializeProxyProfileRequestContext.DefaultPRCCreationStrategy extends Object implements Function<ProfileRequestContext,ProfileRequestContext>
Default strategy that nests the new PRC below the AC.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`DefaultPRCCreationStrategy()`

## Method Summary

Modifier and Type
Method
Description
`ProfileRequestContext`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### DefaultPRCCreationStrategy

private DefaultPRCCreationStrategy()

## Method Details

### apply

@Nullable public ProfileRequestContext apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,ProfileRequestContext>`